%define upstream_name    Test-Class-Most
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Test Classes the easy way
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Class)
BuildRequires: perl(Test::Most)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
When people write test classes with the excellent 'Test::Class', you often
see the following at the top of the code:

  package Some::Test::Class;

  use strict;
  use warnings;
  use base 'My::Test::Class';
  use Test::More;
  use Test::Exception;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README META.json META.yml Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Mon Jan 09 2012 jquelin <jquelin> 0.60.0-1.mga2
+ Revision: 193955
- imported package perl-Test-Class-Most


* Mon Jan 09 2012 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
